/***************************************************************/
//
//
//		DirectX	[sound.h]
//
//												Author	kazuki tanaka
//												Date	2016 06/15
/*---------------------------------------------------------------
■Update : 2016/06/15
			sound.hの作成
■Update : 2016/06/16
			サウンドデバイス以下
			サウンドの設定
			サウンドの吸い出し処理
			追加
■Update : 2016/08/07
            ボリュームの変更
			Play,Stop関数の追加

/*-------------------------------------------------------------*/
#ifndef _SOUND_H_

#define _SOUND_H_

#pragma comment ( lib , "dsound.lib" )


/*---------------------------------------------------------------
	インクルードファイル
---------------------------------------------------------------*/

#include <dsound.h>
#include <MMSystem.h>
#include "main.h"

/*---------------------------------------------------------------
	プロトタイプ宣言
---------------------------------------------------------------*/
HRESULT InitSound( HWND hWnd );

HRESULT InitWaveSound( HWND hWnd );				// サウンド初期化処理
void UninitSound( void );						// サウンド終了処理
HRESULT SetAudio( int index );					// サウンドの作成( Audio )
void DeleteAudio( int index );					// サウンドの解放( Audio )
HRESULT SetSoundEffect( int index );			// サウンドの作成( Sound effect )
void DeleteSoundEffect( int index );			// サウンドの解放( Sound effect )
void PlaySound( int bufNumber , bool loopflag );// サウンドの再生
void PlayOneShotSoundEffect( int bufNumber );	// サウンドエフェクトの再生
void StopSound( int bufNumber );				// サウンドの停止
void StopOneShotSoundEffect( int bufNumber );	// サウンドエフェクトの停止
void SetVolume( int bufNumber, LONG value );	// 音量の設定
void ControlVolume( int bufNumber );			// ボリュームの変更

#endif //_SOUND_H_

